Delete an Apple Pass template
Roles
Analytics Events
/v2/credentials/compact/digital-pass/apple/templates/{id}Deletes an existing Apple Pass template by providing its ID.
Analytic events
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_DELETE_START
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_DELETE_SUCCESS
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Apple Pass template ID
uuidApple Pass template ID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/compact/digital-pass/apple/templates/string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update an Apple Pass template PUT
Updates an existing Apple Pass template by providing its ID and a `.zip` file. Refer to our [Design an Apple Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/apple-templates) guide for more information on how to design the template and how to structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_START * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_UPDATE_FAIL
Sign a Semantic CWT credential POST
Returns a signed Semantic CWT credential generated from a provided valid payload. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_SIGN_START * CREDENTIAL_COMPACT_SEMANTIC_SIGN_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_SIGN_FAIL